githubEdit

Workspaces

Summary of Endpoints

Workspaces

get

Get all workspaces for a user

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Workspaces

application/json

Workspaces

okboolean Β· enumRequiredPossible values:
get
/workspaces

Folders

get

Get all folders for a workspace

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workspaceIdstringRequired
Responses
chevron-right
200

Folders

application/json

Folders

okboolean Β· enumRequiredPossible values:
get
/workspaces/{workspaceId}/folders

Projects

post

Create a project in a workspace

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workspaceIdstringRequired
Body
contentTypestring Β· enumRequiredPossible values:
contentstringRequired
Responses
chevron-right
200

Successful Project creation

application/json

Successful Project creation

okboolean Β· enumRequiredPossible values:
post
/workspaces/{workspaceId}/projects

Last updated